﻿:root {
    --Announcements-Back-Color: darkred;
    --Announcements-Dropdown-Back-Color: darkgray;
    --Announcements-Color: White;
    --Standard-Toggle-Back-Color: darkgray;
    --Standard-Toggle-Dropdown-Back-Color: white;
    --Standard-Toggle-Fore-Color: black;
    --Jumbotron-Back-Color: lightgray;
    --Main-Font: Helvetica;
    --Text-Main-Color: black;
    --Text-Red: #920001;
    --Text-Blue: #31425A;
    --Link-Color: darkblue; /*#4F698E;*/ /*#920001*/
    --Homepage-Box-Header-Color: white;
    --Button-Color: black;
    --Button-BackgroundColor: lightgray;
    --Button-HoverColor: #CBCBCB;
    --container-color-01: #660033; /*A&M*/
    --container-color-02: #BB4400; /*UT* #CC5500/
    --container-color-03: #00205B; /*Rice*/
    --container-color-04: #154734; /*Baylor green*/
    --container-color-05: #CC0000; /*Texas Tech*/
    --container-color-06: #4D1979; /*TCU*/
}


.jumbotron {
    background-color: var(--Jumbotron-Back-Color);
}

/*Container Styles*/
.SectionContainer {
    align-content: start;
    text-align: left;
    border: 1px solid darkred;
}
/*Container Styles*/

.redbox {
    background: var(--Announcements-Back-Color);
    border-bottom: 1px solid rgba(0, 105, 255, .45);
    border-bottom-left-radius: 7px;
    border-bottom-right-radius: 7px;
    border-top-left-radius: 7px;
    border-top-right-radius: 7px;
    padding: .5rem 1rem;
}

.page-header {
    text-align: center;
    align-content: center;
    width: 100%;
    padding-top: 10px;
    padding-bottom: 10px;
}

/* Modify the backgorund color */
.navbar-custom {
    background-color: var(--Announcements-Back-Color);
}

.heading-div {
    text-align: center;
    align-content: center;
    margin: 0 auto;
    width: 100%;
    padding-top: 2px;
    padding-bottom: 2px;
    background-color: var(--container-color-03);
    border-radius: 5px;
}

.heading-text {
    text-align: left;
    display: inline;
    color: white;
}

.home-page-box {
    border-radius: 10px;
    margin-left: 10px;
    margin-top: 10px;
    box-shadow: 5px 5px 10px black;
    min-width: 320px;
}
/*********************************************************************************/
/*Accordion Button Styles*/

.Accordion-Button {
    width: 100%;
    color: var(--Button-Color);
    background-color: var(--Button-BackgroundColor);
    font-size: 20px;
    font-weight: bold;
    white-space: normal;

}

    .Accordion-Button:hover {
        background-color: var(--Button-HoverColor);
    }

    .Accordion-Button:focus {
        background-color: var(--Button-HoverColor);
    }

/*********************************************************************************/
/*Link Styles*/

.link {
    font-size: 14px;
    font-family: var(--Main-Font);
    color: var(--Text-Blue);
}

a.link:hover {
    color: var(--Text-Blue);
    text-decoration: underline;
}

.link-small {
    font-size: 12px;
    font-family: var(--Main-Font);
    color: var(--Text-Blue);
}

a.link-small:hover {
    color: var(--Text-Blue);
    text-decoration: underline;
}

.link-large {
    font-size: 18px;
    font-family: var(--Main-Font);
    color: var(--Text-Blue);
}

a.link-large:hover {
    color: var(--Text-Blue);
    text-decoration: underline;
}

a.link-large:focus {
    outline-color: var(--Text-Blue);
}

.anchor-link {
    scroll-margin-top: 175px;
}

.white-link {
    font-size: 14px;
    font-family: var(--Main-Font);
    color: white;
    justify-content: left;
    text-align: left;
    border: 2px solid transparent;
}

a.white-link:hover {
    color: white;
    outline: none !important;
    text-decoration: underline;
    border: 2px solid transparent;
}

a.white-link:focus {
    color: white;
    outline: none !important;
    border: 2px solid white;
}
/********************************************************************************/
/*Collapsible DIV*/

input[type='checkbox'] {
    display: none;
}

.wrap-collabsible {
    margin: 1.2rem 0;
}

.lbl-toggle {
    display: block;
    font-weight: bold;
    font-family: monospace;
    font-size: 1.2rem;
    text-transform: uppercase;
    text-align: center;
    padding: 1rem;
    color: white;
    background: red;
    cursor: pointer;
    border-radius: 7px;
    transition: all 0.25s ease-out;
}

.collapse-content {
    padding: 10px;
    background-color: white;
}

.lbl-toggle:hover {
    color: #FFF;
}

.lbl-toggle::before {
    content: ' ';
    display: inline-block;
    border-top: 5px solid transparent;
    border-bottom: 5px solid transparent;
    border-left: 5px solid currentColor;
    vertical-align: middle;
    margin-right: .7rem;
    transform: translateY(-2px);
    transition: transform .2s ease-out;
}

.toggle:checked + .lbl-toggle::before {
    transform: rotate(90deg) translateX(-3px);
}

.collapsible-content {
    max-height: 0px;
    overflow: hidden;
    transition: max-height .25s ease-in-out;
}

.toggle:checked + .lbl-toggle + .collapsible-content {
    max-height: 350px;
}

.toggle:checked + .lbl-toggle {
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 0;
}

.collapsible-content .content-inner {
    background: var(--Announcements-Dropdown-Back-Color);
    border-bottom: 1px solid rgba(0, 105, 255, .45);
    border-bottom-left-radius: 7px;
    border-bottom-right-radius: 7px;
    padding: .5rem 1rem;
}

.collapsible-content p {
    margin-bottom: 0;
}

/*.btn {
    white-space: normal !important;
}*/
/*************************************************************************************/
/*Details/Summary styles*/

.announcement-toggle {
    background-color: var(--Announcements-Back-Color);
    color: white;
    border-bottom: 1px solid var(--Announcements-Back-Color);
    border-radius: 7px;
    border-bottom-left-radius: 7px;
    border-bottom-right-radius: 7px;
    padding: .5rem 1rem;
}

.announcement-header {
    display: none;
}



@media(max-width:576px) {
    .HideOnSmallScreen {
        display: none;
    }
}

@media (max-width: 768px) {
    .HideOnSmallScreen {
        display: none;
    }
}

/*// Small devices (landscape phones, 576px and up)*/
@media (min-width: 576px) {
}

/*// Medium devices (tablets, 768px and up)*/
@media (min-width: 768px) {
}

/*// Large devices (desktops, 992px and up)*/
@media (min-width: 992px) {
    .announcement-header {
        display: block;
    }

    /*Don't display arrow and Summary text*/
    details[open] summary {
        display: none;
    }
}

/*// Extra large devices (large desktops, 1200px and up)*/
@media (min-width: 1200px) {
}

.standard-toggle {
    background-color: var(--Standard-Toggle-Back-Color);
    border-bottom: 1px solid var(--Standard-Toggle-Back-Color);
    border-radius: 7px;
    border-bottom-left-radius: 7px;
    border-bottom-right-radius: 7px;
    padding: .5rem 1rem;
}
/****************************************************************************************/
/*Text styles*/
/****************************************************************************************/


/*Plain text styles*/
.text {
    font-size: 14px;
    font-family: var(--Main-Font);
    color: var(--Text-Main-Color);
}

.text-small {
    font-size: 12px;
    font-family: var(--Main-Font);
    color: var(--Text-Main-Color);
}

.text-large {
    font-size: 18px;
    font-family: var(--Main-Font);
    color: var(--Text-Main-Color);
}


.bigboldtext {
    font-weight: bold;
    font-size: 16px;
    font-family: var(--Main-Font);
    color: var(--Text-Main-Color);
}




/*Red Text Styles*/
.largeredtext {
    font-size: 16px;
    font-weight: bold;
    text-decoration: none;
    font-family: var(--Main-Font);
    color: var(--Text-Red);
}

a.largeredtext:hover {
    color: var(--Text-Red);
}

.largeredheadertext {
    font-size: 28px;
    font-weight: bold;
    text-decoration: none;
    font-family: var(--Main-Font);
    color: var(--Text-Red);
}

.largewhiteheadertext {
    font-size: 28px;
    font-weight: bold;
    text-decoration: none;
    font-family: var(--Main-Font);
    color: white;
}

.homepage-box-header {
    font-family: var(--Main-Font);
    font-size: 24px;
    color: var(--Homepage-Box-Header-Color);
    text-decoration: none;
}


a.homepage-box-header:hover {
    color: var(--Homepage-Box-Header-Color);
    text-decoration: underline;
    color: white;
}

.largeredsummarytext {
    font-size: 20px;
    font-weight: bold;
    text-decoration: none;
    font-family: var(--Main-Font);
    color: var(--Text-Red);
}

.redboldtext {
    font-weight: bold;
    font-size: 14px;
    font-family: var(--Main-Font);
    color: var(--Text-Red);
}

a.redboldtext {
    font-weight: bold;
    text-decoration: none;
    font-size: 13px;
    font-family: var(--Main-Font);
    color: var(--Text-Red);
}

    a.redboldtext:hover {
        font-weight: bold;
        text-decoration: underline;
        font-size: 13px;
        font-family: var(--Main-Font);
        color: var(--Text-Red);
    }


/*Blue Text Styles*/
.blueboldtext {
    font-weight: bold;
    font-size: 13px;
    font-family: var(--Main-Font);
    color: var(--Text-Blue);
}

a.blueboldtext {
    font-weight: bold;
    text-decoration: none;
    font-size: 13px;
    font-family: var(--Main-Font);
    color: var(--Text-Blue);
}

    a.blueboldtext:hover {
        font-weight: bold;
        text-decoration: underline;
        font-size: 13px;
        font-family: var(--Main-Font);
        color: var(--Text-Blue);
    }

.boldtext {
    font-weight: bold;
    font-size: 11px;
    font-family: var(--Main-Font);
    color: #3A3A3A
}

.redtext {
    font-size: 11px;
    font-family: var(--Main-Font);
    color: var(--Text-Red)
}

a.redtext {
    font-size: 11px;
    text-decoration: none;
    font-family: var(--Main-Font);
    color: var(--Text-Red)
}

    a.redtext:hover {
        font-size: 11px;
        text-decoration: underline;
        font-family: var(--Main-Font);
        color: var(--Text-Red)
    }


.ExpandButton {
    width: 100%;
    background-color: lightgray;
    font-size: 18px;
    font-weight: bold;
}

